Bug 1470798 - GNOME Terminal (and possibly other windows) not rendered with correct focus in Wayland
GNOME Terminal (and possibly other windows) not rendered with correct focus i...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 13:01 EDT by Saurav Sengupta
Modified: 2018-05-29 08:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:56:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GNOME Terminal in a Wayland session (8.57 KB, image/png)
2017-07-13 13:01 EDT, Saurav Sengupta
no flags Details

  None (edit)
Description Saurav Sengupta 2017-07-13 13:01:27 EDT
Created attachment 1297773 [details]
GNOME Terminal in a Wayland session

Description of problem:
The GNOME Terminal window's menu bar and sometimes the title bar are rendered as inactive in Wayland, although the window actually has focus and responds to user input. This does not happen on Xorg. I have attached a screenshot showing the problem.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xwayland 1.19.3-4
gnome-session-wayland-session 3.24.1-2
mutter 3.24.3-1
gnome-terminal 3.24.2-1

How reproducible:
Mostly

Steps to Reproduce:
Start GNOME Terminal in a GNOME Wayland session.

Actual results:
Terminal window's UI elements sometimes appear as not having focus.

Expected results:
All UI elements should be rendered as having focus.
Comment 1 Fedora End Of Life 2018-05-03 04:41:24 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 08:56:50 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.